--- title: "runScanner" slug: "analytics-datacatalog-scanner-runscanner" tags: ["Data Catalog"] updated: 2026-09-17T09:47:59Z published: 2026-09-17T09:47:59Z canonical: "api.ncloud-docs.com/analytics-datacatalog-scanner-runscanner" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # runScanner Available in VPC Run a scanner. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | PUT | /api/v1/catalogs/{catalogId}/scanners/{scannerId}/run-scanner | ### Request headers For information about the headers common to all Data Catalog APIs, see [Data Catalog request headers](/docs/en/analytics-datacatalog#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `catalogId` | Integer | Required | Catalog ID - See [getCatalogs](/docs/en/analytics-datacatalog-catalog-getcatalogs). | | `scannerId` | Integer | Required | Scanner ID - See [getScanners](/docs/en/analytics-datacatalog-scanner-getscanners). | ### Request example The request example is as follows: ``` curl --location --request PUT 'https://datacatalog.apigw.ntruss.com/api/v1/catalogs/4**/scanners/9**/run-scanner' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `scannerId` | Integer | - | Scanner ID | | `name` | String | - | Scanner name | | `status` | String | - | Scanner status - `SCANNER_STARTING`: execution started (valid value) | ### Response status codes For response status codes common to all Data Catalog APIs, see [Data Catalog response status codes](/docs/en/analytics-datacatalog#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "scannerId": 9**, "name": "scan_mongodb", "status": "SCANNER_STARTING" } ```